micro_utils.dokka
0.15.1

# PaginationResult

fun <T> PaginationResult(page: Int, results: List<T>, pagesNumber: Int, size: Int)

fun <T> PaginationResult(page: Int, size: Int, results: List<T>, objectsNumber: Long)

#### Parameters

page

Current page number

size

Current page size. It can be greater than size of results

results

Result objects

objectsNumber

Count of all objects across all pages